Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Interface ActionCreatingTo

All Known Subinterfaces:
  ActionCreating, ActionGroup, ActivationOrder, ConcurrentGroup, ConcurrentSchedule, Schedule

public interface ActionCreatingTo

An action that sends a message to an object.. A createActionTo: message specifies that the action to be performed is defined by an Objective C message selector to be performed on a receiving object plus any required arguments. The message selector is specified by the message: argument and the receiving object is specified as the first argument, target.

Method Summary
`ActionTo` | `createActionTo$message(java.lang.Object target, Selector aSel)`
`ActionTo` | `createActionTo$message(java.lang.Object target, Selector aSel, java.lang.Object arg1)`
`ActionTo` | `createActionTo$message(java.lang.Object target, Selector aSel, java.lang.Object arg1, java.lang.Object arg2)`
`ActionTo` | `createActionTo$message(java.lang.Object target, Selector aSel, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`

Method Detail

### createActionTo$message

    public ActionTo createActionTo$message(java.lang.Object target,
                                           Selector aSel)

### createActionTo$message

    public ActionTo createActionTo$message(java.lang.Object target,
                                           Selector aSel,
                                           java.lang.Object arg1)

### createActionTo$message

    public ActionTo createActionTo$message(java.lang.Object target,
                                           Selector aSel,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2)

### createActionTo$message

    public ActionTo createActionTo$message(java.lang.Object target,
                                           Selector aSel,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD